Foreman - Bug #19483

User with inherited admin flag cannot see environments outside org/locs during import
05/09/2017 07:34 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Dominic Cleal

Category: Users, Roles and Permissions

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/4516
Description

The change in #18995 includes a conditional to User#visible_environments to return envs with no match to associated locations and
organizations:

https://github.com/theforeman/foreman/commit/f4b7c52fe4012592656c0fcd56bcdd09e3ea246a#diff-4676c008b11a5480d73d4a6de
1e45b9R410

This uses the condition User.current.admin, but it should use User.current.admin?, which is the method that returns inherited admin
flags. The #admin method is the attribute, so this would only work for admin users with the flag explicitly set.

Related issues:
Related to Foreman - Bug #18995: Puppet class import removes existing environ... Closed 03/23/2017

Associated revisions

Revision 995e2da7 - 05/09/2017 10:33 AM - Dominic Cleal

fixes #19483 - use #admin? method to check inherited admin flags

History

#1 - 05/09/2017 07:34 AM - Dominic Cleal

- Related to Bug #18995: Puppet class import removes existing environments when orgs/locations are disabled added

#2 - 05/09/2017 07:35 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4516 added

#3 - 05/09/2017 11:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 995e2da70cf8274fd4edbf63f35¢c21{84c7b9b4a.
